# GLaDOS New Clash Config File for ClashforWindows 0.13.0
# Wed Jan 13 2021 14:03:57 GMT+0000 (UTC)

# port of HTTP
port: 7890

# port of SOCKS5
socks-port: 7891

allow-lan: true

# Rule / Global/ DIRECT (default is Rule)
mode: Rule

# set log level to stdout (default is info)
# info / warning / error / debug
log-level: info

# A RESTful API for clash
external-controller: 127.0.0.1:9090

# Secret for RESTful API (Optional)
secret: ""


dns:
  enable: false # set true to enable dns (default is false)
  listen: 127.0.0.1:53
  nameserver:
     - 119.29.29.29
     - 114.114.114.114
  fallback: # concurrent request with nameserver, fallback used when GEOIP country isn't CN
     - tls://1.0.0.1:853
     - tls://dns.google:853
     
proxies:
  - {name: "[HTTP] 🇨🇳 网易云解锁", server: 119.29.39.183, port: 51492, type: https, tls: false, skip-cert-verify: false}
  
proxy-groups:
  - name: Netease Music
    type: select
    proxies:
      - "[HTTP] 🇨🇳 网易云解锁"
      
rules:
 - DOMAIN,apm.music.163.com,Netease Music
 - DOMAIN,apm3.music.163.com,Netease Music
 - DOMAIN,interface.music.163.com,Netease Music
 - DOMAIN,interface3.music.163.com,Netease Music
 - DOMAIN,music.126.net,Netease Music
 - DOMAIN,music.163.com,Netease Music
 - IP-CIDR,101.71.154.241/32,Netease Music,no-resolve
 - IP-CIDR,103.126.92.132/32,Netease Music,no-resolve
 - IP-CIDR,103.126.92.133/32,Netease Music,no-resolve
 - IP-CIDR,112.13.119.17/32,Netease Music,no-resolve
 - IP-CIDR,112.13.122.1/32,Netease Music,no-resolve
 - IP-CIDR,115.236.118.33/32,Netease Music,no-resolve
 - IP-CIDR,115.236.121.1/32,Netease Music,no-resolve
 - IP-CIDR,118.24.63.156/32,Netease Music,no-resolve
 - IP-CIDR,193.112.159.225/32,Netease Music,no-resolve
 - IP-CIDR,223.252.199.66/32,Netease Music,no-resolve
 - IP-CIDR,223.252.199.67/32,Netease Music,no-resolve
 - IP-CIDR,39.105.63.80/32,Netease Music,no-resolve
 - IP-CIDR,45.254.48.1/32,Netease Music,no-resolve
 - IP-CIDR,47.100.127.239/32,Netease Music,no-resolve
 - IP-CIDR,59.111.160.195/32,Netease Music,no-resolve
 - IP-CIDR,59.111.160.197/32,Netease Music,no-resolve
 - IP-CIDR,59.111.181.35/32,Netease Music,no-resolve
 - IP-CIDR,59.111.181.38/32,Netease Music,no-resolve
 - IP-CIDR,59.111.181.60/32,Netease Music,no-resolve